> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getimpala.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete File

> Delete a specific file.



## OpenAPI

````yaml /openai-api-swagger.json delete /v1/files/{file_id}
openapi: 3.1.0
info:
  title: impala.ai OpenAI API v0.1.0
  description: >-
    An OpenAI API compatible server for impala.ai


    All timestamps are Unix epoch seconds, UTC. A null `*_at` field means the
    event did not occur for this run.


    All costs in USD.
  version: 0.1.0
servers: []
security: []
paths:
  /v1/files/{file_id}:
    delete:
      tags:
        - files
      summary: Delete File
      description: Delete a specific file.
      operationId: delete_file_v1_files__file_id__delete
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeleteFileResponseModel'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DeleteFileResponseModel:
      properties:
        id:
          type: string
          title: Id
          description: The ID of the deleted file.
        object:
          type: string
          const: file
          title: Object
          description: The object type, which is always file.
        deleted:
          type: boolean
          title: Deleted
          description: Whether the file was deleted successfully.
      type: object
      required:
        - id
        - object
        - deleted
      title: DeleteFileResponseModel
    ErrorResponseModel:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
          description: The error details.
      type: object
      required:
        - error
      title: ErrorResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ErrorDetail:
      properties:
        message:
          type: string
          title: Message
          description: A human-readable error message.
        type:
          type: string
          title: Type
          description: The type of error.
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
          description: The parameter that caused the error, if applicable.
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
          description: An error code, if applicable.
      type: object
      required:
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````